﻿using PeacePDS.Models.Entities;
using Microsoft.EntityFrameworkCore;

namespace PeacePDS.Data
{
    public class AppDbContext : DbContext
    {
        public AppDbContext(DbContextOptions options) : base(options)
        {

        }

        public DbSet<User> Users { get; set; }
        public DbSet<UserPolicy> UserPolicies { get; set; }
        public DbSet<Affirmation> Affirmations { get; set; }
        public DbSet<HabitTracker> HabitTrackers { get; set; }
        public DbSet<HabitCheck> HabitChecks { get; set; }
        public DbSet<DailyTask> DailyTasks { get; set; }
        public DbSet<DailyEntry> DailyEntries { get; set; }
    }
}
