using System.ComponentModel.DataAnnotations;

namespace PeacePDS.Models.Entities
{
    public class Affirmation
    {
        public int Id { get; set; }
        [Required]
        public int UserId { get; set; }
        [Required]
        public DateTime Month { get; set; }
        [Required]
        public string AffirmationWord { get; set; }
        [Required]
        public DateTime CreatedAt { get; set; } = DateTime.Now;

        // Navigation Props
        public User User { get; set; }
    }
}